require_relative "lib/version"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = SUMMARY
  s.description = "Generates random, senseless proverbs by combining beginnings and endings of existing proverbs."
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~sprichwoerter proverbs~.collect{|f| 'bin/' << f} + %w~adder.rb color_output.rb argparser.rb rearranging.rb translating.rb translations logging.rb log.conf liste_de.rb sprichwörter.rb liste_en.rb version.rb user_input.rb~.collect{|f| 'lib/' << f} + %w~Sprichwoerter.gemspec~.collect{|f|f} + %w~html/proverbs.html html/sprichwoerter.html man/proverbs.6.gz man/sprichwoerter.6.gz pdf/proverbs.pdf pdf/sprichwoerter.pdf rst/proverbs.rst rst/sprichwoerter.rst~.collect{|f| 'doc/' << f}
  s.homepage    = 'http://rubygems.org'
  s.executables = "sprichwoerter", "proverbs"
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.5'
end
